#include<iostream>

using namespace std;

int main(){
    int t;
    cin >> t;
    unsigned long long matrica[2][t];
    for(int i = 0;i < t; i++){
        cin >> matrica[0][i];
        cin >> matrica[1][i];
    }

    for(int i = 0; i < t; i++){
        cout << -1 << " " <<endl; 
    }

    return 0;
}